Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  NX Programmierung
  ProductInterface

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   ProductInterface (909 mal gelesen)
rattlesnake
Mitglied



Sehen Sie sich das Profil von rattlesnake an!   Senden Sie eine Private Message an rattlesnake  Schreiben Sie einen Gästebucheintrag für rattlesnake

Beiträge: 47
Registriert: 22.10.2007

erstellt am: 14. Aug. 2015 07:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

weiß jemand wie ich von einem Element das ProductInterface-Objekt bekomme oder wie ich die Elemente innerhalb des Product-Interface erhalte?

Vielen Dank.

------------------
                  \\\\|////
                  \\ _ _ //
                   ( o o )
================oOOo-(_)-oOOo==================
    The next time you think you are perfect,
           try walking on water
========================Oooo===================
                  oooO  (  )
                  (  )  ) /
                   \ ( (_/
                    \_)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mseufert
Moderator
Freiberuflicher CAD/CAM Ingenieur


Sehen Sie sich das Profil von mseufert an!   Senden Sie eine Private Message an mseufert  Schreiben Sie einen Gästebucheintrag für mseufert

Beiträge: 2390
Registriert: 18.10.2005

HP Z420
WIN XP32 / WIN7 64
UG NX6-11
SUN Ultra 60
Solaris 7
CADDS5
3D Printer Prusa MK2 S

erstellt am: 20. Aug. 2015 10:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für rattlesnake 10 Unities + Antwort hilfreich

Möglicherweise weiss es NX selbst: Was kommt bei einer Journalaufzeichnung raus ?

Gruß, Michael

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rattlesnake
Mitglied



Sehen Sie sich das Profil von rattlesnake an!   Senden Sie eine Private Message an rattlesnake  Schreiben Sie einen Gästebucheintrag für rattlesnake

Beiträge: 47
Registriert: 22.10.2007

erstellt am: 21. Aug. 2015 08:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

vielen Dank für die Antwort. Das war natürlich auch mein erster Ansatzpunkt. Hier werden aber die JournalIdentifier immer als Strings angegeben. Diesen hab ich aber nicht, sondern nur das Element von dem das ProductInterface gemacht wurde. Hier der Code aus dem Journal (leicht modifiziert)

Code:

Dim tPart As NXOpen.Part = ...
Dim tCSYSObject As Features.DatumCsys = ...

Dim tInterfaceObject As NXOpen.Assemblies.ProductInterface.InterfaceObject = CType(tPart.ProductInterface.FindObject("CSYS_OBJECT (117)"), NXOpen.Assemblies.ProductInterface.InterfaceObject)



die Methoden von tPart.ProductInterface sind sehr begrenzt. Danach wusste ich nicht mehr weiter und hab mal hier gefragt ob jemand etwas genaueres weiß???

------------------
                  \\\\|////
                  \\ _ _ //
                   ( o o )
================oOOo-(_)-oOOo==================
    The next time you think you are perfect,
           try walking on water
========================Oooo===================
                  oooO  (  )
                  (  )  ) /
                   \ ( (_/
                    \_)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

luke21
Mitglied


Sehen Sie sich das Profil von luke21 an!   Senden Sie eine Private Message an luke21  Schreiben Sie einen Gästebucheintrag für luke21

Beiträge: 6
Registriert: 04.09.2018

Siemens NX 12
Microsoft Visual Studio 2017
Windows 10 Professional

erstellt am: 17. Jul. 2019 13:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für rattlesnake 10 Unities + Antwort hilfreich

Hallo rattlesnake,

ich weiß nicht, ob das Thema noch relevant ist, aber hier meine Antwort:
Du kannst das NXObject auslesen, auf das sich ein ProductInterfaceObject bezieht:

Dim ProdIntObj As NXOpen.Assemblies.ProductInterface.InterfaceObject =....
Dim NXObj as NXObject = ProdIntObj.GetProductInterfaceDefiningEntity

Du kannst diesen Code in einer Schleife für jedes ProductInterfaceObject verwenden und das NXObject jeweils mit deinem Element vergleichen.

Grüße
luke21

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz